Bug 14923 - Remove C4::Dates from labels/label-item-search.pl
Summary: Remove C4::Dates from labels/label-item-search.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-29 14:09 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14923 - Remove C4::Dates from labels/label-item-search.pl (2.59 KB, patch)
2015-09-29 14:25 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14923 - Remove C4::Dates from labels/label-item-search.pl (2.74 KB, patch)
2015-09-29 20:39 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14923 - (follow-up) Test for invalid date input (2.96 KB, patch)
2015-10-01 20:38 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14923 - (follow up) Add test for invalid dates using eval (1.88 KB, patch)
2015-10-02 13:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14923 - Remove C4::Dates from labels/label-item-search.pl (3.19 KB, patch)
2015-10-05 14:24 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14923 - Remove C4::Dates from labels/label-item-search.pl (3.30 KB, patch)
2015-10-05 15:01 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14923 - Remove C4::Dates from labels/label-item-search.pl (3.41 KB, patch)
2015-10-06 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-29 14:09:05 UTC
This patch removes C4::Dates from labels/label-item-search.pl
Comment 1 Marc Véron 2015-09-29 14:25:26 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-09-29 20:39:34 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-01 08:44:29 UTC
Marc, sorry but I get a software error if the date is not correctly formatted.
Comment 4 Marc Véron 2015-10-01 20:38:29 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-10-02 13:12:52 UTC
Comment on attachment 43030 [details] [review]
Bug 14923 - (follow-up) Test for invalid date input

Obsoleted to implement solution without using is_formatted_date_string
Comment 6 Marc Véron 2015-10-02 13:31:54 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2015-10-05 14:24:06 UTC
I re-do the patch from scratch.
Comment 8 Marc Véron 2015-10-05 14:24:22 UTC Comment hidden (obsolete)
Comment 9 Héctor Eduardo Castro Avalos 2015-10-05 15:01:08 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-10-06 10:40:25 UTC
Created attachment 43154 [details] [review]
Bug 14923 - Remove C4::Dates from labels/label-item-search.pl

This patch removes C4::Dates from labels/label-item-search.pl

To test:
- Go to Home > Tools > Labels home > Manage label batches
- Click "Add item(s)"
- Verify that selection with date after and date before works
  the same as without patch.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Tested with bad dates

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Todo later: Some checks should be added on client side.
Comment 11 Tomás Cohen Arazi 2015-10-06 14:07:38 UTC
Patch pushed to master.

Thanks Marc!